%define version 2.4.6
%define release 5mdk
%define url ftp.kernel.org:/pub/linux/utils/kernel/modutils/v2.4

Summary: The kernel daemon (kerneld) and kernel module utilities.
Name: modutils
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source0: %{url}/modutils-%{version}.tar.bz2
Source1: kmod.crond
Source2: modules.conf
Source3: macros
Patch2: modutils-2.3.20-sound.patch.bz2
Patch3: modutils-2.3.17-exclude.patch.bz2
Patch4: modutils-2.3.21-systemmap.patch.bz2
Patch5: modutils-2.4.5-various-aliases.patch.bz2
Patch6: modutils-2.4.3-prepost.patch.bz2
Patch7: modutils-2.4.3-shut-useless-message.patch.bz2
Patch8: modutils-2.4.3-remove_alias.patch.bz2
Patch9: modutils-2.4.3-macros.patch.bz2
Patch10: modutils-2.4.6-error.patch.bz2
Exclusiveos: Linux
Buildroot: %{_tmppath}/modutils-root
Prereq: /sbin/chkconfig
Requires: zlib >= 1.1.3-14
Obsoletes: modules
Prefix: %{_prefix}

%description
The modutils packages includes the kerneld program for automatic
loading of modules under 2.0 kernels and unloading of modules under
2.0, 2.2 and 2.4  kernels, as well as other module management programs.
Examples of loaded and unloaded modules are device drivers and
filesystems, as well as some other things.

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%configure --disable-compat-2-0 --disable-kerneld --enable-insmod-static \
		--exec_prefix=/ --enable-zlib

# (fg) 20001005 -fomit-frame-pointer makes libsafe see an overflow where it may
# not exist... Whatever. Removed for now.
make CFLAGS="`echo $CFLAGS | sed -e 's,-fomit-frame-pointer,,'`" dep all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/lib/modutils
mkdir -p $RPM_BUILD_ROOT/sbin
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

if [ -f kerneld/Makefile ]; then
    make install-scripts prefix=$RPM_BUILD_ROOT%{prefix} exec_prefix=$RPM_BUILD_ROOT -C kerneld
    install -m 755 $RPM_SOURCE_DIR/kerneld.init $RPM_BUILD_ROOT/etc/rc.d/init.d/kerneld
else
    rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{kdstat,kerneld}.8
fi

install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.d/kmod

# security hole, works poorly anyway
rm -f $RPM_BUILD_ROOT/sbin/request-route

install -D -m 644 %{SOURCE2} %buildroot/etc/modules.conf
install -D -m 644 %{SOURCE3} %buildroot/lib/modutils/macros

%clean
rm -rf $RPM_BUILD_ROOT

%post
# get rid of the old installations on upgrade
if [ -x /etc/rc.d/init.d/kerneld ] ; then
    /sbin/chkconfig --del kerneld
fi
if [ -f /etc/conf.modules -a ! -f /etc/modules.conf ] ; then
   mv -f /etc/conf.modules /etc/modules.conf
fi

%files
%defattr(-,root,root)
#%config(noreplace) /etc/cron.d/kmod
%config(noreplace) /etc/modules.conf
/lib/modutils/macros
/sbin/*
%{_mandir}/*/*

%changelog
* Tue Sep 11 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.6-5mdk
- Remove again kmod cron.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.4.6-4mdk
- load kbdev and mousedev when hid is loaded and not the opposite (updated patch 5).

* Tue Sep  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.6-3mdk
- Readd a cron that does autoclean modules.

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.6-2mdk
- alias binfmt-0000 off (RH).
- return nonzero from depmod if there are errors (RH).
- Remove /etc/cron.daily/kmod.

* Wed May 16 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.6-1mdk
- 2.4.6.

* Thu May  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.5-3mdk
- Add some more alias for 2.2.x compat.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.5-2mdk
- Alias nm256 to nm256_audio when booting 2.2.x.

* Fri Apr 27 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.5-1mdk
- Make above mousedev->hid not usbmouse->mousedev (and also for keybdev).
- 2.4.5.

* Mon Apr 16 2001 Warly <warly@mandrakesoft.com> 2.4.3-11mdk
- add post-install killall -HUP cupsd for usb printer in macros file

* Mon Apr 16 2001 Warly <warly@mandrakesoft.com> 2.4.3-10mdk
- fix again (and again and again and again)...

* Mon Apr 16 2001 Warly <warly@mandrakesoft.com> 2.4.3-9mdk
- fix again macros patch

* Sun Apr 15 2001 Warly <warly@mandrakesoft.com> 2.4.3-8mdk
- fix francois bug (calling do_read twice add the base_dir twice)

* Fri Apr 13 2001 Franois Pons <fpons@mandrakesoft.com> 2.4.3-7mdk
- created patch to remove alias that cause problems with 2.2 kernels
  and created patch to read macros file /lib/modutils/macros.

* Thu Apr 12 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2.4.3-6mdk
- add Nvidia char-major-195

* Mon Apr  9 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-5mdk
- Remove useless message.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-4mdk
- Remove require of vixie-cron to avoir loop in dependeces (and since
  it's useless with 2.4.x kernel..).

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-3mdk
- add default post/preun for binfmt_misc (rh).

* Wed Mar  7 2001 Pixel <pixel@mandrakesoft.com> 2.4.3-2mdk
- fix missing comma causing alias lvm-mod to be buggy in alias.h
- various aliases moved from modules.conf to the binary modprobe

* Fri Mar 02 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3.

* Thu Mar  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.4.2-4mdk
- added alias for lvm-mod

* Tue Feb 27 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2.4.2-3mdk
- change the requirements and updated the desc

* Mon Feb 26 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2.4.2-2mdk
- enable zlib compression

* Tue Jan 23 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.2-1mdk
- 2.4.2.

* Fri Jan 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 2.4.1-2mdk
- modules.conf: added the needed lines for irda and wacom.

* Mon Jan  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1.

* Fri Jan  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-2mdk
- Add patch from Keith Owens to handle usb modules with 2.4.0 kernel.

* Fri Jan  5 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0.

* Wed Jan  3 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.24-1mdk
- 2.3.24.

* Tue Dec 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.23-3mdk
- Add a default modules.conf and add some post-install for usb.

* Wed Dec 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.23-2mdk
- fix bug with empty MODULE_GENERIC_STRING entries depmod loops

* Mon Dec 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.23-1mdk
- 2.3.23.

* Sat Dec  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.22-1mdk
- 2.3.22.

* Sat Nov 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.21-2mdk
- Add information on -i -F options.

* Wed Nov 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.21-1mdk
- 2.3.21.

* Wed Nov 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.20-2mdk
- Readd the systemap patch from redhat (add -i and -m option, see the
  manpage).

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.20-1mdk
- 2.3.20.

* Fri Oct 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.19-1mdk
- 2.3.19.

* Thu Oct 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.18-1mdk
- 2.3.18.
- Adjust URL.

* Thu Oct 05 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.17-3mdk
- Removed -fomit-frame-pointer from CFLAGS - makes libsafe happier

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.17-2mdk
- Exclude .rhkvtmag when trying to depmod -a (#410).

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.17-1mdk
- 2.3.17.

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.15-2mdk
- set some %config as noreplace.

* Fri Aug 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.15-1mdk
- new release (needed for latest hackkernel)

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 2.3.13-2mdk
- fix bill-rh's sound patch, was breaking pre-install
- fix chmou's changelog ;p

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.13-1mdk
- new version

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.12-2mdk
- BM.

* Sun Jul  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.12-1mdk
- 2.3.12.

* Fri Jun 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.11-1mdk
- 2.3.11.
- Merge with RH.
- Now we using /etc/modules.conf (conf.modules is depreciated).

* Mon Apr 10 2000 Adam Lebsack <adam@mandrakesoft.com> 2.3.10-2mdk
- Removed the installing of /etc/rc.d/init.d/kerneld

* Tue Mar 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.10-1mdk
- Remove static files.
- Move depmod_is_necessary  to initscripts package.
- 2.3.10.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.9-2mdk
- Don't cry when a conf.modules is much recent than modules.dep.
- Adjust groups.

* Mon Mar  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.3.9-1mdk
- 2.3.9.
- Patch upgrade disabling warning about conf.modules.
- getmod() also in alsa/ directory.

* Mon Nov 29 1999 Pixel <pixel@linux-mandrake.com>
- added prog is_depmod_necessary
- depmod -a now done only if is_depmod_necessary

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh changes.

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fixing typo.

* Fri Apr 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing kerneld.
- Adptations patch.
- Cleaning .spec.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patchs from Redhat6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- restore de,fr,tr locales from RH 5.2 version
- Don't load kerneld if we have kmod.

* Mon Mar 15 1999 Bill Nottingham <notting@redhat.com>
- added support for /lib/modules/foo/pcmcia
- make kerneld initscript not start by default

* Tue Feb 23 1999 Matt Wilson <msw@redhat.com>
- added sparc64 support from UltraPenguin

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow it to compile on the arm

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- search /lib/modules/preferred before defaults but after specified paths.

* Tue Nov 17 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 2.1.121

* Thu Nov 05 1998 Erik Troan <ewt@redhat.com>
- added -m, -i options

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fix syntax error I introduced when enhancing initscript

* Wed Sep 30 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhance initscript

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- recompile statically linked binary for 5.2/sparc

* Tue Jul 28 1998 Jeff Johnson <jbj@redhat.com>
- pick up ultrapenguin patches (not applied for now).
- pre-generate keyword.c so gperf doesn't have to be present (not applied).
- util/sys_cm.c: fix create_module syscall (signed return on sparc too)

* Wed Jul 15 1998 Jeff Johnson <jbj@redhat.com>
- correct %postun typos

* Fri May 01 1998 Erik Troan <ewt@redhat.com>
- added /lib/modules/preferred to search path

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.1.85
- actually make use of the BuildRoot

* Fri Apr  3 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix sparc64, add modinfo64 on sparc.

* Wed Mar 23 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Handle EM_SPARCV9, kludge to support both 32bit and 64bit kernels
  from the same package on sparc/sparc64.

* Fri Nov  7 1997 Michael Fulbright
- removed warning message when conf.modules exists and is a empty

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- patched to honor -k in options
- added modprobe.1
- added init script

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- removed bogus strip of lsmod (which is a script)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- updated to 2.1.55
- builds in a buildroot

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- added insmod.static

* Sun Aug 24 1997 Erik Troan <ewt@redhat.com>
- built on Intel
- combined rmmod and insmod
